package com.ss.android.ugc.aweme.deeplink.actions;

import X.AnonymousClass3PS;
import X.C03012Pr;
import X.Cwu;
import X.M12;
import X.S9P;
import android.content.Context;
import android.net.Uri;
import com.bytedance.covode.number.Covode;
import java.util.ArrayList;
import java.util.HashMap;
import kotlin.h.b.n;

public final class MoneyGrowthAction extends AnonymousClass3PS<C03012Pr> {
    public String url;

    static {
        Covode.recordClassIndex(63416);
    }

    public final String getUrl() {
        return this.url;
    }

    public final void setUrl(String str) {
        this.url = str;
    }

    public final Cwu<String, HashMap<String, Object>> buildInnerUrl(String str, HashMap<String, Object> hashMap) {
        M12.LIZ(str, hashMap);
        this.url = str;
        Uri parse = Uri.parse(str);
        n.LIZIZ(parse, "");
        return new Cwu<>(n.LIZ(parse.getHost(), parse.getPath()), hashMap);
    }

    public final boolean doRealOpen(Context context, String str, HashMap<String, Object> hashMap, ArrayList<Integer> arrayList) {
        M12.LIZ(context, str, hashMap);
        if (S9P.LJI.LIZ(this.url)) {
            return true;
        }
        return false;
    }
}
